Subject: [TLS] Improving Bulk data transfer phase in TLS protocol, codes needed.

From: "Hasim al-Aidaros" <[email-masked]>
Date: Tue, 7 Mar 2006 20:27:14 -0800

Dear TLS working group,
My name is Aidros doing Master study in University Putra Malaysia in SSL
Development.
I'm glad to participate and share knowledge with you. This is the firs
participation.
My project is to Improve Bulk data transfer phase performance (Record Layer)
using Parallelism (reducing the processing time).
Unfortunately, Most of developing researchers focusing on Handshake phase
improvement without touching data transfer phase.

Bulk data procedure after fragmentation:
1. Hashing the data using HMAC to calculate MAC value.
2. Encrypting the data plus the MAC value.

To simulate this process I would like to get:
the HMAC code followed by Encryption code,  i mean:
the code has three inputs: MAC key, Encryption key, IV if necessary and
Data.
the one output : (MAC and Data) encrypted and time if available.
I search already in openssl-0.9.7i, but the Encryption, hashing and HMAC
codes are all separated.
I hope you help me how to find this combination code at least you give me
anyone contact for this matter.
Crypto algorithm preferred: AES or RC4 for Encryption, MD5 or SH1 for HMAC.

Thanks for your anticipation help.
we keep in touch.
_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls